Bug 475582 - rpm --noscripts option broken w.r.t. posttrans
Summary: rpm --noscripts option broken w.r.t. posttrans
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: 9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-12-09 17:58 UTC by Carl Roth
Modified: 2009-02-24 20:52 UTC (History)
4 users (show)

Fixed In Version: 4.6.0-1.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-24 20:52:03 UTC
Type: ---


Attachments (Terms of Use)

Description Carl Roth 2008-12-09 17:58:35 UTC
Description of problem:

There doesn't appear to be a way to install an RPM package while disabling its %posttrans scriptlet.  The '--noscripts' and '--notriggers' switches fail to disable the %posttrans.

Is this intentional?  Should there be a way to disable %posttrans?

Version-Release number of selected component (if applicable):

rpm-4.4.2.3-2.fc9.i386

How reproducible:

Always

Steps to Reproduce:
1. Generate an RPM with a %posttrans scriptlet
2. Install with 'rpm --noscripts foo.rpm'
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jeff Johnson 2008-12-09 21:33:48 UTC
Not intentional, just never completed implementation. The birthing of %posttrans
has always been controversial. Another flaw is that %posttrans from erased
packages cannot be run.

Add --test will disable running of %posttrans (but also disables installing).


There is a way to disable @rpm5.org, added this weekend past, but that is not the rpm
that this bugzilla tracks.

Comment 2 Panu Matilainen 2009-01-17 12:22:54 UTC
Certainly not intentional, just another quirk/flaw of pre/posttrans like noted above. Fixed upstream at rpm.org now.

Comment 3 Panu Matilainen 2009-01-30 11:39:35 UTC
Fixed in rawhide as of rpm-4.6.0-0.rc4.1.fc11

Comment 4 Fedora Update System 2009-02-07 22:22:42 UTC
rpm-4.6.0-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1478

Comment 5 Fedora Update System 2009-02-24 20:51:22 UTC
rpm-4.6.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.